<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku DistanceWin.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_distance_win_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku DistanceWin.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości.">DistanceWin</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla DistanceWin.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_distance_win_8hpp__incl.png" border="0" usemap="#a_distance_win_8hpp" alt=""/></div>
<map name="a_distance_win_8hpp" id="a_distance_win_8hpp">
<area shape="rect" title="Definicja klasy DistanceWin." alt="" coords="295,5,414,31"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="112,79,243,104"/>
<area shape="poly" title=" " alt="" coords="327,33,220,76,218,71,325,28"/>
<area shape="rect" href="_numeric_data_8hpp.html" title="Definicja klasy NumericData." alt="" coords="293,79,416,104"/>
<area shape="poly" title=" " alt="" coords="357,31,357,65,352,65,352,31"/>
<area shape="rect" href="_robot_image_8hpp.html" title="Definicja klasy RobotImage." alt="" coords="491,79,607,104"/>
<area shape="poly" title=" " alt="" coords="387,28,506,71,504,76,385,33"/>
<area shape="rect" title=" " alt="" coords="5,152,75,177"/>
<area shape="poly" title=" " alt="" coords="156,106,76,148,73,143,154,102"/>
<area shape="rect" title=" " alt="" coords="227,152,291,177"/>
<area shape="poly" title=" " alt="" coords="192,102,237,141,233,145,189,106"/>
<area shape="rect" title=" " alt="" coords="99,152,202,177"/>
<area shape="poly" title=" " alt="" coords="175,105,162,140,157,138,170,103"/>
<area shape="poly" title=" " alt="" coords="341,106,287,146,284,141,338,102"/>
<area shape="rect" title=" " alt="" coords="315,152,394,177"/>
<area shape="poly" title=" " alt="" coords="357,104,357,138,352,138,352,104"/>
<area shape="rect" title=" " alt="" coords="418,152,489,177"/>
<area shape="poly" title=" " alt="" coords="372,102,428,142,425,146,369,106"/>
<area shape="rect" title=" " alt="" coords="513,152,586,177"/>
<area shape="poly" title=" " alt="" coords="552,104,552,138,547,138,547,104"/>
<area shape="rect" title=" " alt="" coords="611,152,683,177"/>
<area shape="poly" title=" " alt="" coords="567,102,621,141,618,146,563,106"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_distance_win_8hpp__dep__incl.png" border="0" usemap="#a_distance_win_8hppdep" alt=""/></div>
<map name="a_distance_win_8hppdep" id="a_distance_win_8hppdep">
<area shape="rect" title="Definicja klasy DistanceWin." alt="" coords="77,5,196,31"/>
<area shape="rect" href="_distance_win_8cpp.html" title="Definicje metod klasy DistanceWin." alt="" coords="5,79,124,104"/>
<area shape="poly" title=" " alt="" coords="117,43,78,80,74,77,113,39"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="149,79,269,104"/>
<area shape="poly" title=" " alt="" coords="160,39,199,77,195,80,157,43"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="87,152,207,177"/>
<area shape="poly" title=" " alt="" coords="192,116,159,154,155,150,188,113"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="231,152,306,177"/>
<area shape="poly" title=" " alt="" coords="229,113,261,150,257,154,225,116"/>
</map>
</div>
</div>
<p><a href="_distance_win_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html">DistanceWin</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Widget wyświetlający odczyty czujników odległości.  <a href="class_distance_win.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:a11d038bc0d376b5a6a7634604b6e058d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>&#160;&#160;&#160;4</td></tr>
<tr class="separator:a11d038bc0d376b5a6a7634604b6e058d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a33b1743038db1adbbf1045aa839b38"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_distance_win_8hpp.html#a0a33b1743038db1adbbf1045aa839b38">WIN_HEIGHT</a>&#160;&#160;&#160;320</td></tr>
<tr class="separator:a0a33b1743038db1adbbf1045aa839b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości.">DistanceWin</a>, która dziedziczy klasę <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Wyświetla odczyty czujników odległości kładzione na rzut z góry modelu 3D robota. </p>

<p class="definition">Definicja w pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="a11d038bc0d376b5a6a7634604b6e058d" name="a11d038bc0d376b5a6a7634604b6e058d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11d038bc0d376b5a6a7634604b6e058d">&#9670;&#160;</a></span>SENSORS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SENSORS&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00018">18</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>

</div>
</div>
<a id="a0a33b1743038db1adbbf1045aa839b38" name="a0a33b1743038db1adbbf1045aa839b38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a33b1743038db1adbbf1045aa839b38">&#9670;&#160;</a></span>WIN_HEIGHT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WIN_HEIGHT&#160;&#160;&#160;320</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00019">19</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_distance_win_8hpp.html">DistanceWin.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
